> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get last version

> Get the last version of a recipe



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /expression/recipes/{uuidOrShortId}/last
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /expression/recipes/{uuidOrShortId}/last:
    get:
      tags:
        - Expression - Recipes
      summary: Get last version
      description: Get the last version of a recipe
      parameters:
        - in: path
          name: uuidOrShortId
          schema:
            type: string
            title: UUID or short ID
            description: Recipe identifier (UUID or short id).
          required: true
          description: Recipe identifier (UUID or short id).
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  recipe:
                    type: object
                    properties:
                      uuid:
                        type: string
                      shortId:
                        type: string
                      version:
                        type: number
                      workspaceUuid:
                        anyOf:
                          - type: string
                          - type: 'null'
                      name:
                        type: string
                      description:
                        type: string
                      category:
                        type: string
                        enum:
                          - other
                          - classification
                          - cleaning
                          - marketing
                          - sales
                          - event
                          - copywriting
                      isPublic:
                        type: boolean
                      isBlacklisted:
                        type: boolean
                      archivedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      placeholders:
                        type: array
                        items:
                          allOf:
                            - type: object
                              properties:
                                slug:
                                  type: string
                                name:
                                  type: string
                                description:
                                  type: string
                              required:
                                - slug
                                - name
                              additionalProperties: false
                            - anyOf:
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - string
                                        - number
                                        - boolean
                                  required:
                                    - kind
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - enum
                                    enum:
                                      type: array
                                      items:
                                        type: string
                                  required:
                                    - kind
                                    - enum
                                  additionalProperties: false
                                - type: object
                                  properties:
                                    kind:
                                      type: string
                                      enum:
                                        - array
                                    items:
                                      type: array
                                      items:
                                        allOf:
                                          - type: object
                                            properties:
                                              slug:
                                                type: string
                                              name:
                                                type: string
                                              description:
                                                type: string
                                            required:
                                              - slug
                                              - name
                                            additionalProperties: false
                                          - anyOf:
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    enum:
                                                      - string
                                                      - number
                                                      - boolean
                                                required:
                                                  - kind
                                                additionalProperties: false
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    enum:
                                                      - enum
                                                  enum:
                                                    type: array
                                                    items:
                                                      type: string
                                                required:
                                                  - kind
                                                  - enum
                                                additionalProperties: false
                                              - type: object
                                                properties:
                                                  kind:
                                                    type: string
                                                    enum:
                                                      - array
                                                  items:
                                                    type: array
                                                    items:
                                                      allOf:
                                                        - type: object
                                                          properties:
                                                            slug:
                                                              type: string
                                                            name:
                                                              type: string
                                                            description:
                                                              type: string
                                                          required:
                                                            - slug
                                                            - name
                                                          additionalProperties: false
                                                        - anyOf:
                                                            - type: object
                                                              properties:
                                                                kind:
                                                                  type: string
                                                                  enum:
                                                                    - string
                                                                    - number
                                                                    - boolean
                                                              required:
                                                                - kind
                                                              additionalProperties: false
                                                            - type: object
                                                              properties:
                                                                kind:
                                                                  type: string
                                                                  enum:
                                                                    - enum
                                                                enum:
                                                                  type: array
                                                                  items:
                                                                    type: string
                                                              required:
                                                                - kind
                                                                - enum
                                                              additionalProperties: false
                                                required:
                                                  - kind
                                                  - items
                                                additionalProperties: false
                                  required:
                                    - kind
                                    - items
                                  additionalProperties: false
                      expression:
                        type: string
                      instructTo:
                        type: string
                        enum:
                          - ai
                          - none
                      kind:
                        type: string
                        enum:
                          - jsExpression
                          - templateExpression
                      userUuid:
                        type: string
                      userFirstName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      userLastName:
                        anyOf:
                          - type: string
                          - type: 'null'
                      userPicture:
                        anyOf:
                          - type: string
                          - type: 'null'
                      isFavorite:
                        type: boolean
                    required:
                      - uuid
                      - shortId
                      - version
                      - workspaceUuid
                      - name
                      - description
                      - category
                      - isPublic
                      - isBlacklisted
                      - archivedAt
                      - placeholders
                      - expression
                      - instructTo
                      - kind
                      - userUuid
                      - userFirstName
                      - userLastName
                      - userPicture
                      - isFavorite
                    additionalProperties: false
                    title: Recipe
                    description: Recipe details.
                required:
                  - recipe
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````